/*
============================================================================
 Name        : HelloWorldApp.h
 Author      : Konstantin Tretyakov
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Declares main application class.
============================================================================
*/

#ifndef HELLOWORLDAPP_H
#define HELLOWORLDAPP_H

// INCLUDES
#include <aknapp.h>

// CONSTANTS
// UID of the application
const TUid KUidHelloWorld = { 0x0DEB1820 };

// CLASS DECLARATION

/**
* CHelloWorldApp application class.
* Provides factory to create concrete document object.
*
*/
class CHelloWorldApp : public CAknApplication
    {

    public: // Functions from base classes
    private:

        /**
        * From CApaApplication, creates CHelloWorldDocument document object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();

        /**
        * From CApaApplication, returns application's UID (KUidHelloWorld).
        * @return The value of KUidHelloWorld.
        */
        TUid AppDllUid() const;
    };

#endif



