/*
============================================================================
 Name        : HelloWorldApp.cpp
 Author      : Konstantin Tretyakov
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Main application class
============================================================================
*/

// INCLUDE FILES
#include    "HelloWorldApp.h"
#include    "HelloWorldDocument.h"

// ================= MEMBER FUNCTIONS =======================

// ---------------------------------------------------------
// CHelloWorldApp::AppDllUid()
// Returns application UID
// ---------------------------------------------------------
//
TUid CHelloWorldApp::AppDllUid() const
    {
    return KUidHelloWorld;
    }


// ---------------------------------------------------------
// CHelloWorldApp::CreateDocumentL()
// Creates CHelloWorldDocument object
// ---------------------------------------------------------
//
CApaDocument* CHelloWorldApp::CreateDocumentL()
    {
    return CHelloWorldDocument::NewL( *this );
    }

// ================= OTHER EXPORTED FUNCTIONS ==============
//
// ---------------------------------------------------------
// NewApplication()
// Constructs CHelloWorldApp
// Returns: created application object
// ---------------------------------------------------------
//
EXPORT_C CApaApplication* NewApplication()
    {
    return new CHelloWorldApp;
    }

// ---------------------------------------------------------
// E32Dll(TDllReason)
// Entry point function for EPOC Apps
// Returns: KErrNone: No error
// ---------------------------------------------------------
//
GLDEF_C TInt E32Dll( TDllReason )
    {
    return KErrNone;
    }



