/*
============================================================================
 Name        : HelloWorldDocument.cpp
 Author      : Konstantin Tretyakov
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : CHelloWorldDocument implementation
============================================================================
*/

// INCLUDE FILES
#include "HelloWorldDocument.h"
#include "HelloWorldAppui.h"

// ================= MEMBER FUNCTIONS =======================

// constructor
CHelloWorldDocument::CHelloWorldDocument(CEikApplication& aApp)
: CAknDocument(aApp)
    {
    }

// destructor
CHelloWorldDocument::~CHelloWorldDocument()
    {
    }

// EPOC default constructor can leave.
void CHelloWorldDocument::ConstructL()
    {
    }

// Two-phased constructor.
CHelloWorldDocument* CHelloWorldDocument::NewL(
        CEikApplication& aApp)     // CHelloWorldApp reference
    {
    CHelloWorldDocument* self = new (ELeave) CHelloWorldDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
    }

// ----------------------------------------------------
// CHelloWorldDocument::CreateAppUiL()
// constructs CHelloWorldAppUi
// ----------------------------------------------------
//
CEikAppUi* CHelloWorldDocument::CreateAppUiL()
    {
    return new (ELeave) CHelloWorldAppUi;
    }


